Package de.willuhn.jameica.hbci.rmi

# Interface HBCIDBService

All Superinterfaces:
  `de.willuhn.datasource.rmi.DBService`, `Remote`, `de.willuhn.datasource.Service`

All Known Implementing Classes:
  `HBCIDBServiceImpl`

public interface HBCIDBService extends de.willuhn.datasource.rmi.DBService
Interface fuer den Datenbank-Service von Hibiscus.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final de.willuhn.jameica.system.Settings`
`SETTINGS`
Einstellungen fuer die DB-Services.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkConsistency()`
Checkt die Konsistenz der Datenbank und fuehrt bei Bedarf Updates durch.
`int`
`executeUpdate(String query, String... params)`
Fuehrt ein Update/Delete-Statement durch.
`DBSupport`
`getDriver()`
Liefert den verwendeten Treiber.
`String`
`getSQLTimestamp(String content)`
Liefert den Namen der SQL-Funktion, mit der die Datenbank aus einem DATE-Feld einen UNIX-Timestamp macht.
`void`
`install()`
Initialisiert/erzeugt die Datenbank.

### Methods inherited from interface de.willuhn.datasource.rmi.DBService

`createList, createObject, execute`

### Methods inherited from interface de.willuhn.datasource.Service

`getName, isStartable, isStarted, start, stop`

## Field Details

### SETTINGS

static final de.willuhn.jameica.system.Settings SETTINGS
Einstellungen fuer die DB-Services.

## Method Details

### install

void install() throws RemoteException
Initialisiert/erzeugt die Datenbank.

Throws:
  `RemoteException` - Wenn beim Initialisieren ein Fehler auftrat.

### checkConsistency

void checkConsistency() throws RemoteException, de.willuhn.util.ApplicationException
Checkt die Konsistenz der Datenbank und fuehrt bei Bedarf Updates durch.

Throws:
  `RemoteException` - Wenn es beim Pruefen der Datenbank-Konsistenz zu einem Fehler kam.
  `de.willuhn.util.ApplicationException` - wenn die Datenbank-Konsistenz nicht gewaehrleistet ist.

### getDriver

DBSupport getDriver() throws RemoteException
Liefert den verwendeten Treiber.

Returns:
  der Treiber.
Throws:
  `RemoteException`

### getSQLTimestamp

String getSQLTimestamp(String content) throws RemoteException
Liefert den Namen der SQL-Funktion, mit der die Datenbank aus einem DATE-Feld einen UNIX-Timestamp macht. Bei MySQL ist das z.Bsp. "UNIX_TIMESTAMP".

Parameters:
  `content` - der Feld-Name.
Returns:
  Name der SQL-Funktion samt Parameter. Also zum Beispiel "TONUMBER(datum)".
Throws:
  `RemoteException`

### executeUpdate

int executeUpdate(String query, String... params) throws RemoteException
Fuehrt ein Update/Delete-Statement durch.

Parameters:
  `query` - das Query.
  `params` - die Parameter.
Returns:
  die Anzahl der betroffenen Datensaetze.
Throws:
  `RemoteException`